
From: "Art Haas" <ahaas@airmail.net>

Replace the GNU initializers with C99 initializers.



 include/linux/rcupdate.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/linux/rcupdate.h~rcupdate-c99-initialisers include/linux/rcupdate.h
--- 25/include/linux/rcupdate.h~rcupdate-c99-initialisers	2003-12-31 11:50:17.000000000 -0800
+++ 25-akpm/include/linux/rcupdate.h	2003-12-31 11:50:17.000000000 -0800
@@ -55,7 +55,7 @@ struct rcu_head {
 };
 
 #define RCU_HEAD_INIT(head) \
-		{ list: LIST_HEAD_INIT(head.list), func: NULL, arg: NULL }
+		{ .list = LIST_HEAD_INIT(head.list), .func = NULL, .arg = NULL }
 #define RCU_HEAD(head) struct rcu_head head = RCU_HEAD_INIT(head)
 #define INIT_RCU_HEAD(ptr) do { \
        INIT_LIST_HEAD(&(ptr)->list); (ptr)->func = NULL; (ptr)->arg = NULL; \

_
